com.atid.lib.module.barcode.spc.type

## Enum VideoReverse

- java.lang.Object
- - java.lang.Enum<VideoReverse>
  - - com.atid.lib.module.barcode.spc.type.VideoReverse

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<VideoReverse>

      public enum VideoReverse
      extends java.lang.Enum<VideoReverse>
      implements IEnumType

  Video Reverse is used to allow the scan engine to read bar codes that are inverted. The Video Reverse Off bar code below is an example of this type of bar code. Scan Video Reverse Only to read only inverted bar codes. Scan Video Reverse and Standard Bar Codes to read both types of codes. Note: After scanning Video Reverse Only, menu bar codes cannot be read. You must scan Video Reverse Off or Video Reverse and Standard Bar Codes in order to read menu bar codes. Note: Images downloaded from the unit are not reversed. This is a setting for decoding only.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ReverseAndStandardBar`
    `ReverseOff`
    `ReverseOnly`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static VideoReverse` | `valueOf(int code)`
    `static VideoReverse` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoReverse[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ReverseOff

          public static final VideoReverse ReverseOff

    - #### ReverseOnly

          public static final VideoReverse ReverseOnly

    - #### ReverseAndStandardBar

          public static final VideoReverse ReverseAndStandardBar

  - ### Method Detail

    - #### values

          public static VideoReverse[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoReverse c : VideoReverse.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoReverse valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<VideoReverse>`

    - #### valueOf

          public static VideoReverse valueOf(int code)